JUCE: TopologySource Class Reference

JUCE

Classes | Public Member Functions | Protected Attributes | List of all members
TopologySource Class Referenceabstract

Base class for an entity that provides access to a blocks topology. More...

Inheritance diagram for TopologySource:

## Classes
struct | Listener
| Used to receive callbacks for topology changes. More...

## Public Member Functions
virtual | ~TopologySource ()=default
| Destructor. More...
virtual BlockTopology | getCurrentTopology () const =0
| Returns the current topology that this object manages. More...
virtual void | setActive (bool shouldBeActive)=0
| Sets the TopologySource as active, occupying the midi port and trying to connect to the block devices. More...
virtual bool | isActive () const =0
| Returns true, if the TopologySource is currently trying to connect the block devices. More...
void | addListener (Listener *l)
void | removeListener (Listener *l)
virtual void | cancelAllActiveTouches () noexcept
| Invoke this to force touches-off on all physical devices. More...

## Protected Attributes
ListenerList< Listener > | listeners

## Detailed Description

Base class for an entity that provides access to a blocks topology.

## Constructor & Destructor Documentation

## ◆ ~TopologySource()

virtual TopologySource::~TopologySource | ( |  | ) |
| virtualdefault

Destructor.

## Member Function Documentation

## ◆ getCurrentTopology()

virtual BlockTopology TopologySource::getCurrentTopology | ( |  | ) | const
| pure virtual

Returns the current topology that this object manages.

Implemented in RuleBasedTopologySource, and PhysicalTopologySource.

## ◆ setActive()

virtual void TopologySource::setActive | ( | bool | shouldBeActive | ) |
| pure virtual

Sets the TopologySource as active, occupying the midi port and trying to connect to the block devices.

Implemented in RuleBasedTopologySource, and PhysicalTopologySource.

## ◆ isActive()

virtual bool TopologySource::isActive | ( |  | ) | const
| pure virtual

Returns true, if the TopologySource is currently trying to connect the block devices.

Implemented in RuleBasedTopologySource, and PhysicalTopologySource.

## ◆ addListener()

void TopologySource::addListener | ( | Listener * | l | ) |

References listeners.

## ◆ removeListener()

void TopologySource::removeListener | ( | Listener * | l | ) |

References listeners.

## ◆ cancelAllActiveTouches()

virtual void TopologySource::cancelAllActiveTouches | ( |  | ) |
| virtualnoexcept

Invoke this to force touches-off on all physical devices.

Reimplemented in PhysicalTopologySource.

## Member Data Documentation

## ◆ listeners

ListenerList<Listener> TopologySource::listeners
| protected

Referenced by addListener(), and removeListener().

The documentation for this class was generated from the following file:

- juce_TopologySource.h